Bug 48822 - Include contest name in reload and stop log statements
Include contest name in reload and stop log statements
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.24
PC Linux
: P2 enhancement (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-02-26 10:35 UTC by Marc Guillemot
Modified: 2011-01-27 14:07 UTC (History)
0 users



Attachments
The patch adding context name in log statements (6.08 KB, text/plain)
2010-02-26 10:35 UTC, Marc Guillemot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Guillemot 2010-02-26 10:35:09 UTC
Created attachment 25063 [details]
The patch adding context name in log statements

Current log statement are like this
  "Exception starting Context"
without any information on the concerned context.

Include patch adds context name to the log output for en, fr, es... but not for the ja properties ;-)
Comment 1 Sylvain Laurent 2010-12-16 16:18:55 UTC
fixed on trunk, will be available for tomcat 7.0.6.
Proposed for tc 6.

Note that depending on the type of error during reload, the context name was already logged (by other log statements).
This issue only deals with cases where a LifeCycleException is raised.
Comment 2 Konstantin Kolinko 2011-01-27 14:07:38 UTC
Fixed in 6.0.x with r1064257 and will be in 6.0.32.